.fd-dwq-main-bg {
    margin: 0 auto;
    padding: 0 126px;
    background: url("../images/index/case-bg.png") no-repeat 0 bottom;
}

.fd-dwq-main-content {
    margin: -392px auto 0;
    max-width: 1668px;
    min-height: calc(100vh - 512px);
}

.fd-dwq-services-overview {
    padding: 40px;
    display: flex;
    align-items: center;
    background-color: #fff;
}

.fd-dwq-service-box {
    margin: 8px;
    padding: 22px 20px 0 20px;
    width: calc(25% - 16px);
    height: 180px;
    color: #fff;
    cursor: pointer;
}

.fd-dwq-service-box h3 {
    display: flex;
    align-items: center;
    font-size: 22px;
    color: #FFFFFF;
    line-height: 24px;
    font-weight: 700;
}

.fd-dwq-service-box p {
    opacity: 0.8;
    margin-top: 10px;
    width: 65%;
    font-size: 14px;
    color: #fff;
    line-height: 1.5em;
}

.fd-dwq-service-box .arrow {
    flex-shrink: 0;
    margin-left: 2px;
    width: 24px;
    height: 24px;
    background: url("../images/index/arrow-s.png") no-repeat center center;
    background-size: 100% 100%;
}

.fd-dwq-service-box:nth-child(1) {
    background: url("../images/index/banner01.jpg") no-repeat center center;
    background-size: cover;
}

.fd-dwq-service-box:nth-child(2) {
    background: url("../images/index/banner02.jpg") no-repeat center center;
    background-size: cover;
}

.fd-dwq-service-box:nth-child(3) {
    background: url("../images/index/banner03.jpg") no-repeat center center;
    background-size: cover;
}

.fd-dwq-service-box:nth-child(4) {
    background: url("../images/index/banner04.jpg") no-repeat center center;
    background-size: cover;
}


/* Platform Introduction */
.fd-dwq-platform-intro {
    padding: 0 100px;
    text-align: center;
    background-color: #fff;
}

.fd-dwq-platform-intro p {
    font-size: 24px;
    color: #7A7A7A;
    line-height: 1.3em;
    margin: 0 auto;
}

/* Flowchart Section */
.fd-dwq-flowchart-section {
    padding: 40px 42px;
    text-align: center;
    background-color: #fff;
}

.fd-dwq-flowchart-section img {
    max-width: 100%;
}

/* Case Examples Section */
.fd-dwq-case-examples {
    padding: 40px 40px 147px;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-pack: justify;
    -ms-flex-pack: justify;
    justify-content: space-between;
}

.fd-dwq-case-box {
    position: relative;
    margin: 0 8px;
    width: 25%;
    height: 480px;
    background-color: #f0f0f0;
    -webkit-transition: width 0.6s ease;
    -moz-transition: width 0.6s ease;
    -ms-transition: width 0.6s ease;
    -o-transition: width 0.6s ease;
    transition: width 0.6s ease;
    cursor: pointer;
}

.fd-dwq-case-box::after {
    z-index: 1;
    content: '';
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-image: -webkit-linear-gradient(0deg, rgba(0,0,0,0.80) 0%, rgba(0,0,0,0.20) 100%);
    background-image: -moz-linear-gradient(0deg, rgba(0,0,0,0.80) 0%, rgba(0,0,0,0.20) 100%);
    background-image: -ms-linear-gradient(0deg, rgba(0,0,0,0.80) 0%, rgba(0,0,0,0.20) 100%);
    background-image: -o-linear-gradient(0deg, rgba(0,0,0,0.80) 0%, rgba(0,0,0,0.20) 100%);
    background-image: linear-gradient(0deg, rgba(0,0,0,0.80) 0%, rgba(0,0,0,0.20) 100%);
    background-position: center center;
    background-repeat: no-repeat;
}

.fd-dwq-case-box.active {
    -webkit-flex-shrink: 0;
    -ms-flex-negative: 0;
    flex-shrink: 0;
    width: 560px;
}

.fd-dwq-case-box.active::after {
    background-image: url("../images/index/arrow-b.png");
}

.fd-dwq-case-box:nth-child(1) {
    background-image: url("../images/index/banner05.jpg");
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

.fd-dwq-case-box:nth-child(2) {
    background-image: url("../images/index/banner06.jpg");
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

.fd-dwq-case-box:nth-child(3) {
    background-image: url("../images/index/banner07.jpg");
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

.fd-dwq-case-box:nth-child(4) {
    background-image: url("../images/index/banner08.jpg");
    background-size: cover;
    background-position: center center;
    background-repeat: no-repeat;
}

.fd-dwq-case-title {
    z-index: 2;
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    -webkit-box-align: center;
    -ms-flex-align: center;
    align-items: center;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
    padding: 0 10px;
    height: 100px;
    font-size: 22px;
    color: #FFFFFF;
    text-align: center;
    white-space: nowrap;
    font-weight: 700;
}

/* Responsive Design */
@media (max-width: 1600px) {
    .fd-dwq-main-bg {
        padding: 0 98px;
    }

    .fd-dwq-main-content {
        max-width: 1692px;
    }

    .fd-dwq-service-box p {
        width: 100%;
    }

    .fd-dwq-platform-intro p {
        font-size: 20px;
    }

    .fd-dwq-case-box {
        margin: 0 4px;
    }

    .fd-dwq-case-box.active {
        width: 420px;
    }

    .fd-dwq-case-title {
        height: 100px;
        font-size: 18px;
    }
}
